#include <msp/strings/formatter.h>
#include "statement.h"

using namespace std;

namespace Msp {
namespace DataFile {

Statement::Statement():
	valid(false),
	line(0)
{ }

Statement::Statement(const string &kw):
	keyword(kw),
	valid(true),
	line(0)
{ }

string Statement::get_location() const
{
	string result = source;
	if(line)
		result += format(":%d", line);
	return result;
}

string Statement::get_signature() const
{
	string result;
	for(Arguments::const_iterator i = args.begin(); i!=args.end(); ++i)
		result += i->get_signature();
	return result;
}

} // namespace DataFile
} // namespace Msp
